DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ConvertArray

converts the data type of an array

## SYNOPSIS

`#include "dip_convert_array.h"`

dip_Error DIP_TWO_FUNC(dip_ConvertArray)( in, inStride, inPlane, out, outStride, outPlane, number )

## FUNCTION

Converts the `in` array to the `out` array.

## ARGUMENTS

Data type | Name | Description
`void *` | `in` | input array
`dip_int` | `inStride` | Stride of the input array
`dip_int` | `inPlane` | plane number in case `in` is a binary array
`void *` | `out` | output array
`dip_int` | `outStride` | Stride of the output array
`dip_int` | `outPlane` | plane number in case `out` is a binary array
`dip_int` | `number` | size of the arrays